#ifndef SNIFF_PROTO_H
#define SNIFF_PROTO_H

//***** APWARE

// The first 30 bytes are reserved
#define SNIFF_HDR_LEN         200

// The frist byte is the device type
typedef enum {
    SNIFF_UNKNOWN = 0,
    SNIFF_HOSTAP = 1,
    SNIFF_AIRO = 2,
    SNIFF_ORINOCO = 3,
    SNIFF_TYPE_LEN,
} sniff_type;

typedef struct sniff_header {
    char dev_type;
    char reserved;
    char data[SNIFF_HDR_LEN-2]; // proto specific data
} sniff_header;

//TODO: change these values to new ones and incoporate into the kernel
#ifndef ARPHRD_IEEE80211_SNIFF
// @GT: for now set this value to be the same as ARPHRD_IEEE80211_PRISM
#define ARPHRD_IEEE80211_SNIFF   802
#endif

#ifndef DLT_IEEE802_11_SNIFF
// @GT: for now set this value to be the same as LINKTYPE_PRISM_HEADER
#define DLT_IEEE802_11_SNIFF  DLT_PRISM_HEADER
#endif

#endif // SNIFF_PROTO_H
